from checkers.cluster import Cluster
from core.checker import CheckerManager
from core.cluster import ClusterType


class DBE(ClusterType):

    def get_name(self) -> str:
        return 'DB9500E/F'

    def get_checkers_package(self) -> str:
        return 'checkers'

    def get_cluster_ips(self) -> list[dict]:
        return CheckerManager.share(Cluster, 'db_bigdata')
