from abc import ABCMeta, abstractmethod


class ClusterType(metaclass=ABCMeta):

    @abstractmethod
    def get_name(self) -> str:
        pass


    @abstractmethod
    def get_cluster_ips(self) -> list[dict]:
        pass


    @abstractmethod
    def get_checkers_package(self) -> str:
        pass
