#!/usr/bin/env bash

# 在检测之前先进行磁盘文件系统是否只读校验
flag=0
for line in `cat /etc/mtab | grep -E "^/dev"| sed 's/ /,/g'`
do
  array=(`echo $line | sed 's/,/ /g'`)
  if [[ ${array[3]} == 'ro' ]];then
    flag=1
    echo "分区\"${array[0]}\"的文件系统为只读，磁盘存在问题，尝试使用\"mount -n -o remount,rw ${array[1]}\"命令重新挂载"
  fi
done

if (( flag == 1 ));then
  echo "===========退出信息收集与故障诊断系统==========="
  exit 1
fi

chmod +x bin/mini-python3.10.6/bin/*
bin/mini-python3.10.6/bin/python3 main.py $@
