from core.checker import BaseChecker,share
from core.textparser import TextParser


class Crontab(BaseChecker):

    def __init__(self):
        super().__init__("系统定时任务")
        self.initial_info_collection_file()

    @share
    def crontab(self):
        out = self.cmd("cat /etc/crontab | grep -vE '\s*#'")
        parser = TextParser(out.stdout)
        cron = parser.parse_rows(
            '{min}{:s}{hour}{:s}{dayOfMonth}{:s}{month}{:s}{dayOfWeek}{:s}{user}{:s}{cmd}')
        return cron

    def run(self) -> None:
        self.crontab()
